<?php

/**
 * @file
 * Hooks provided by the CDEK API module.
 */

/**
 * Modify the list of order pickup points.
 *
 * @param array $points
 *   An array containing the order pickup points.
 * @param array $params
 *   Parameters that were used to get a list of order pickup points.
 *
 * @see \Drupal\cdek_api\Cdek::getOrderPickupPoints()
 */
function hook_cdek_api_order_pickup_points_alter(array &$points, array $params) {
  foreach ($points as $code => $point) {
    // Limit the list to certain countries.
    if (!in_array($point['countryCode'], [1, 41, 42, 48])) {
      unset($points[$code]);
    }
  }
}
